Skip to navigation

Request to hold the package at a UPS facility for pickup

Request your package to be held at or returned to a UPS facility where the receiver may claim the same-day.

Authentication

AuthorizationBearer
Find your Client ID and Secret on your app info page. 1. Select "Try It" 2. In the Security section enter your Client ID and Secret 3. Select "Request Token" 4. Enter any additional information in the Body and Parameters sections 5. Select "Send" to execute your API request"

Path parameters

tracking_numberstringRequiredformat: "^(1Z)[A-Z0-9]{16}$"=18 characters
The number being tracked. Each method defines if required.
versionenumRequiredDefaults to v2
version
Allowed values:

Headers

transIdstringRequiredformat: "^[a-zA-Z0-9-.]{3,14}$"3-14 characters
A unique value that will be used to identify the transaction for logging and troubleshooting purposes
platformTypeenumRequired

Identifies the client/source application that is calling.

Allowed values:
inquiryTypeenumRequired
describes the content type to expect
Allowed values:

Query parameters

locstringOptionalformat: "^[a-z]+[_]+[A-Z]+$"<=5 characters
The locale of the client application to ensure that translations on the response are in the proper language.

Request

This endpoint expects an object.
requesterContactInfoobjectRequired
specialInstructionsstring or nullRequired1-254 characters
Special Instructions sent to the driver. Available only to AA intercept type
requestTypestringOptional2-3 characters
The request type of the intercept being performed
reasonForReturnstringOptional
Reason for return code. Required only for RS intercept type.
deliveryDatestringOptionalformat: "^\d{4}(0[1-9]|1[012])(0[1-9]|[12][0-9]|3[01])$"=8 characters
Original scheduled date of delivery. Required olny for FD intercept type.
newDeliveryAddressobjectOptional
New delivery address. Required olny for AA intercept type.

Response headers

BkndTransIdstringOptional
The backend transaction id.
transIdstringOptional
An identifier unique to the request.
transactionSrcstringOptional

Identifies the client/source application that is calling.

Content-TypestringOptional

The Content-Type header provides the client with the actual content/media type of the returned content.

Response

Successful response
transactionIdstring1-14 characters
A unique value that will be used to identify the transaction for logging and troubleshooting purposes.
statusCodestring=3 characters
API response status code, Internal code regarding the success or failure of the operation
successbooleanDefaults to false
Indicates if the transaction is considered successful.
statusMsgstringOptional1-80 characters
API response status message, Internal message regarding the success or failure of the operation
subStatusCodestringOptional
A new status code for adding granularity to the existing status code structure
errorslist of objects or nullOptional
Unbounded array of error objects
warningsmap from strings to stringsOptional

A map containing warning codes and descriptions as key/value pairs.

Errors

400
Bad Request Error
401
Unauthorized Error